/* STYLE CSS */
@font-face{
	font-family:'Futura';
	src:url('/fonts/FuturaBookC.ttf') format('truetype');
	font-weight:400;
	font-style:normal
}
@font-face{
	font-family:'Futura';
	src:url('/fonts/FuturaDemiC.ttf') format('truetype');
	font-weight:700;
	font-style:normal
}
@font-face{
	font-family:'Futura';
	src:url('/fonts/FuturaLightC.ttf') format('truetype');
	font-weight:300;
	font-style:normal
}
@font-face{
	font-family:'Futura';
	src:url('/fonts/FuturaMediumC.ttf') format('truetype');
	font-weight:500;
	font-style:normal
}



:root{
    --dark: #444;
    --wh: #fff;
    --l-grey: #F3F4F6;
    --grey: #C2C0C0;
    --d-grey: #777676;
    --a-blue: #2574BC;
    --blue: #5E97CC;
    --red: #F00;
}

::placeholder {
    font-size: inherit;
}

input, select, textarea {
    font-size: inherit;
    font-family: inherit;
    font-weight: inherit;
    border-radius: 3px;
}

body {
    font-family: 'Futura';
    height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

section {
    width: 100%;
    align-self: flex-start;
}

.error{
    border: 1px solid var(--red) !important;
}

.std_btn {
    display: block;
    width: max-content;
    padding: 6px 30px;
    border: 1px solid var(--a-blue);
    border-radius: 3px;
    margin-right: 20px;
    font-weight: 700;
    background: var(--wh);
    color: var(--a-blue);
    transition: 0.3s;
}

.std_btn.active, .std_btn:hover {
    background: var(--a-blue);
    color: var(--wh);
}

img, svg{
    max-width: 100%;
}

.docode_loader {
    position: fixed;
    z-index: 100;
    width: 50px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
    /*display: none;*/
}

.flex-column {
    display: flex;
    flex-direction: column;
    flex: 1 0 auto;
}

/* Header */
header {
    background: var(--l-grey);
    padding: 10px 0;
    font-size: 16px;
    border-bottom: 1px solid var(--grey);
}

.user_status {
    margin-right: 20px;
    font-weight: 500;
}

.user_name {
    margin-right: 20px;
}

.user_logout{
    cursor: pointer;
}

.user_logout svg,
.user_logout img{
    width: 15px;
}

.user_logout svg path {
    transition: 0.3s;
    stroke: var(--dark);
    fill: var(--dark);
}

.user_logout:hover svg path {
    stroke: var(--a-blue);
    fill: var(--a-blue);
}

.user_status {
    color: var(--dark);
}

.admin_name {
    margin: 0 40px;
    align-self: center;
}

.user_status {
    margin-left: auto;
    align-self: center;
}
/* END Header */

/* Sidebar */
.admin_sidebar_arrow {
    display: none;
}

.admin_sidebar ul {
    padding: 0;
    list-style: none;
}

.admin_sidebar {
    border-right: 1px solid var(--grey);
    border-left: 1px solid var(--grey);
    padding: 20px;
    position: relative;
    height: calc(100vh - 51px);
    overflow: auto;
}

main.admin_main {
    flex: 1 0 auto;
    display: flex;
}

.admin_sidebar ul li {
    margin-bottom: 10px;
}

.admin_sidebar ul li a {
    color: var(--dark);
    border-bottom: 1px solid transparent;
}

.admin_sidebar ul li a:hover, 
.admin_sidebar ul li a.active {
    color: var(--blue);
    border-bottom: 1px solid;
}
/* END Sidebar */

/* Dashboard */
.main_area {
    flex: 1;
    border-right: 1px solid var(--grey);
    padding: 20px;
    height: calc(100vh - 51px);
    overflow: auto;
}

.managers label {
    display: flex;
    margin-bottom: 10px;
    align-items: center;
}

.managers label input {
    margin-right: 5px;
}

.main_tab_wrap {
    border: 1px solid var(--grey);
    padding: 10px;
    border-radius: 4px;
    margin-bottom: 20px;
}

.main_tab_title {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    /* justify-content: space-between; */
}

.main_tab_title a {
    justify-self: self-start;
    display: block;
    font-weight: 400;
    font-size: 16px;
}

table {
    width: 100%;
    border-left: 1px solid var(--grey);
    border-top: 1px solid var(--grey);
    margin-bottom: 40px;
}

table td {
    border-right: 1px solid var(--grey);
    padding: 5px;
    border-bottom: 1px solid var(--grey);
}

input.color_name {
    width: 300px;
    vertical-align: middle;
}

.display_color {
    display: inline-block;
    width: 30px;
    height: 30px;
    border: 1px solid var(--grey);
    border-radius: 4px;
    vertical-align: middle;
}

/*ДЛЯ КРАНЫ*/
.add_position_button,
.delete_position_button{
    width: 100%;
    margin-bottom: 10px;
}
.delete_position_button{
    display: flex;
    justify-content: flex-end;
}
.delete_position{
    margin-right: 10px;
}
.added_row {
    display: flex;
    padding: 10px;
    background: var(--l-grey);
    border: 1px solid var(--grey);
    justify-content: flex-start;
    align-items: center;
}
.for_added_row{
    padding-left: 10px;
    font-weight: 700;
}
.added_row .arrow_img {
    width:3%;
    padding: 5px;
    cursor: pointer;
    display: inline-block;
    margin-left: auto;
}
.added_row .arrow_img.open{
    transform:rotate(180deg); 
    transition:0.1s;
}
.added_row .arrow_img img {
    width: 100px;
}    
.added_row input{
    width: 20%;
}
.added_table{
    margin-top: 2px;
    
    height: 0;
    overflow: hidden;
    transition:0.1s;
}
.added{
   border: 1px solid var(--grey);
}

.added_row_tbl{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    padding: 10px;
    justify-content: space-between;
    align-items: center;
}
.for_added_row_tbl{
    margin-top: 5px;
    margin-bottom: 5px;
}
/*.three input[type="text"] {*/
/*    width: 30%;*/
/*}*/
.four input[type="text"] {
    width: 24%;
}
.four input[type="checkbox"] {
    width: 30px;
    height: 30px;
}
.blocked_checkbox label{
    display: flex;
    align-items: center;
    color: var(--d-grey);
}
.blocked_checkbox label input {
    margin-right: 10px;
}
.color_pic{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    width: 24%;
    cursor: pointer;
    position: relative;
}
.color_pic input[type="text"]{
    width: 85%;
    cursor: pointer;
}

.for_picture{
    width:100%;
    max-height:500px;
}
.for_picture img{
    padding: 20px;
    object-fit: contain;
    color: var(--d-grey);
}
.for_picture input[type="text"]{
    width: 100%;
}
.dropdown_box{
    position: relative;
}
.dropdown_button{
    position: relative;
    display: flex;
    width: 100%;
    justify-content: space-between;
}
.dropdown_list {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    overflow: auto;
    display: none;
    box-sizing: border-box;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
    background-color: #fff;
    border-radius: 4px;
    box-shadow: 0 0 3px rgb(24 26 27 / 10%), 0 5px 5px rgb(0 0 0 / 7%), 0 10px 5px rgb(0 0 0 / 2%);
}
.dropdown_list.open{
    display: block;
    transition: 0.3sec;
}
.dropdown_listitem {
    position: relative;
}

.dropdown_listbutton{
    padding-left: 20px;
}
.dropdown_listbutton_focus {
    border-radius: 4px;
    box-shadow: 0 0 0 1px #ccc inset;
}
.dropdown_listbutton, .dropdown_listboxbutton {
    position: relative;
    overflow: hidden;
    display: flex;
    width: 100%;
    margin: 0;
    padding: 5px;
    background-color: #fff;
    border: 0;
    border-radius: 0;
    color: #000;
    font-size: 15px;
    cursor: pointer;
    align-items: center;
}
.dropdown_color_value{
    padding-left:20px;
}





#upload-container {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	width: 400px;
	height: 400px;
	outline: 2px dashed #5d5d5d;
	outline-offset: -12px;
	background-color: #e0f2f7;
	font-family: 'Segoe UI';
	color: #1f3c44;
}

#upload-container img {
	width: 40%;
	margin-bottom: 20px;
	user-select: none;
}

#upload-container label {
	font-weight: bold;
}

#upload-container label:hover {
	cursor: pointer;
	text-decoration: underline;
}

#upload-container div {
	position: relative;
	z-index: 10;
}

#upload-container input[type=file] {
	width: 0.1px;
	height: 0.1px;
	opacity: 0;
	position: absolute;
	z-index: -10;
}

#upload-container label.focus {
	outline: 1px solid #0078d7;
	outline: -webkit-focus-ring-color auto 5px;
}

#upload-container.dragover {
	background-color: #fafafa;
	outline-offset: -17px;
}


.img_chooser_wrap {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
}

.img_chooser_wrap a {
    width: 150px;
    overflow: hidden;
    /* height: 100px; */
    border: 1px solid;
    border-radius: 4px;
    padding: 5px;
}

.img_chooser_wrap a p {
    margin-top: 10px;
    text-align: center;
    width: 100%;
}




